DH_INSTALLMODULES(1)

NOM
dh_installmodules – Inscrire les modules du noyau

SYNOPSIS
dh_installmodules [options_de_debhelper] [-n] [--name=nom]

DESCRIPTION
dh_installmodules est le programme de la suite debhelper chargé de l'inscription des modules du noyau.

Des modules de noyau sont recherchés dans le répertoire de construction du paquet et, si trouvé(s), les commandes des scripts preinst, postinst et postrm sont automatiquement produites afin d'exécuter depmod et inscrire les modules lors de l'installation du paquet. Ces commandes sont insérées dans les scripts de maintenance par dh_installdeb(1).

FICHIERS

debian/paquet.modprobe
    Installed to usr/lib/modprobe.d/package.conf in the package build directory. Before compat version 14, files get installed under etc/modprobe.d instead.

OPTIONS

-n, --no-scripts
    Empêche la modification des scripts de maintenance du paquet preinst, postinst et postrm.

--name=nom
    Quand ce paramètre est utilisé, dh_installmodules cherche et installe les fichiers nommés debian/paquet.nom.modprobe au lieu des habituels debian/paquet.modprobe

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».